WHO-PERMITS-UPLOAD.DE(1)

BEZEICHNUNG
who-permits-upload - schlägt Debian-Paketbetreuer-ACLs (Zugriffssteuerungslisten) nach

ÜBERSICHT
who-permits-upload [-h] [-s Schlüsselbund] [-d DM_URL] [-s Suchtyp] Abfrage [Abfrage …]

BESCHREIBUNG
who-permits-upload schlägt die Rechte zum Hochladen des angegebenen Debian-Paketbetreuers von Debians Ftp-master nach und wertet sie in einer für Menschen lesbaren Art aus. Das Werkzeug kann anhand von Paketbetreuername, Sponsor (die Person, die das Recht gewährt) oder Paket suchen.

OPTIONEN

--dmfile=DM_URL, -d DM_URL
    ruft die Rechtedatei des Debian-Paketbetreuers von der mitgegebenen URL ab. Wenn diese Option nicht vorhanden ist, wird der Vorgabewert https://ftp-master.debian.org/dm.txt benutzt.

--help, -h
    zeigt eine Aufrufinformationen und wird beendet.

--keyring=Schlüsselbund, -s Schlüsselbund
    verwendet die mitgegebenen GnuPG-Schlüsselbünde, um GPG-Fingerabdrücke in der Rechtedatei des Debian-Paketbetreuers nachzuschlagen. Wenn sie nicht vorhanden sind, werden die Standardschlüsselbünde der Debian-Entwickler und -Paketbetreuer benutzt (/usr/share/keyrings/debian-keyring.gpg und /usr/share/keyrings/debian-maintainers.gpg, die durch das Paket debian-keyring installiert wurden.

    trennt Schlüsselbünde durch einen Doppelpunkt »:«.

--search=Suchtyp, -s Suchtyp
    ändert das Nachschlagverhalten. Dies beeinflusst die Interpretation des Arguments Abfrage. Folgende Suchtypen werden unterstützt:

    package
        sucht nach einem Quellpaketnamen. Dies ist auch die Voreinstellung, wenn --search weggelassen wird. Da Paketnamen eindeutig sind, wird dies, falls vorhanden, die gegebenen ACLs eines einzigen Pakets zurückgeben.

    uid sucht nach einem Debian-Paketbetreuer. Dies sollte ein Name (oder ein Teil davon) sein. Es wird alle zugewiesenen ACLs des zugehörigen Paketbetreuers zurückgeben.

    sponsor
        sucht nach einem Sponsor (d.h. einem Debian-Entwickler) der Debian-Paketbetreuerrechte gewährt. Dies wird alle angegebene ACLs des mitgelieferten Paketbetreuers zurückgeben.

        Beachten Sie, dass dies eine aufwendige Transaktion ist, die lange dauern kann.

Abfrage
    ein Argument zum Nachschlagen der ACL-Rechtedatei, bei dem die Groß- und Kleinschreibung beachtet wird. Die exakte Interpretation dieses Arguments ist vom Argument --search abhängig.

    Dieses Argument kann wiederholt werden.

RÜCKGABEWERT

0   Erfolgreich

1   Ein Fehler ist aufgetreten.

2   Die Befehlszeile wurde nicht verstanden.

BEISPIELE

who-permits-upload --search=sponsor arno@debian.org
    sucht nach allen Rechten von Debian-Paketbetreuern zum Hochladen, die durch die UID »arno@debian.org« gegeben sind. Beachten Sie, dass nur die erste UID passen wird.

who-permits-upload -s=sponsor "Arno Töll"
    dasselbe wie oben, nur dass stattdessen ein vollständiger Name benutzt wird

who-permits-upload apache2
    schlägt nach, wer Rechte zum Hochladen für das Quellpaket »apache2« vergab.

who-permits-upload --search=uid "Paul Tagliamonte"
    schlägt alle Debian-Paketbetreuerrechte zum Hochladen nach, die »Paul Tagliamonte« gegeben wurden.

AUTOR
who-permits-upload wurde von Arno Töll <arno@debian.org> geschrieben und ist unter den Bedingungnen der General Public License (GPL), Version 2 oder später, lizensiert.

SIEHE AUCH
gpg(1), gpg2(1), who-uploads(1)

https://lists.debian.org/debian-devel-announce/2012/09/msg00008.html